Subject: [PATCH 1/2] ARM: davinci: pdata-quirks: fix const warnings

From: [email-masked] (Kevin Hilman)
Date: Fri, 09 Jun 2017 10:14:58 -0700

Sekhar Nori <[email-masked]> writes:

> Hi Kevin,
>
> On Saturday 03 June 2017 04:42 AM, Kevin Hilman wrote:
>> After VPIF was converted to enable getting subdevs from DT, the
>> pdata is no longer const, so remove these to avoid compiler warnings.
>> 
>> Signed-off-by: Kevin Hilman <[email-masked]>
>
> I think this should be squashed into patch 2/4 of "davinci:
> vpif_capture: raw camera support" series where the warning is
> introduced. That does mix the platform and driver parts in one patch,
> but I think its better that way so that no patch introduces a warning.

Well, media maintainers have already taken that patch, and probably
won't want to take this as a separate patch now.  So, IMO, as long as
this goes in the same merge window, a couple warnings in -next while
things are settling will be OK.

> The patch does not clash with anything queued in davinci tree, so I
> think it should be fine.
>
> Also, there is a warning introduced in
> arch/arm/mach-davinci/board-dm646x-evm.c that should be fixed as well.

I'll fix that and resend the series (this time with DT maintainers in
copy for PATCH 2/2.

Kevin